import { ColumnAnnotation } from "./Types";
import { TransformInto } from "./FieldHelper";
export declare type DEFAULT = "NULL" | "0" | "NOT NULL";
export default class Column {
    _name: string;
    private _type;
    private _primary;
    private _foreign;
    private _def;
    private _index;
    private autoincrement;
    transformIntoTable: TransformInto<any>;
    transformFromTable: TransformInto<any>;
    constructor(_name: string);
    name: () => string;
    fromDecorator(decorator: ColumnAnnotation): this;
    foreign(): this;
    primary(): this;
    isPrimary: () => boolean;
    toString(): string;
    migrate(): string;
    isIndex(): boolean;
    createIndex(): string;
    defaultZero(): this;
    defaultNull(): this;
    defaultNotNull(): this;
    str(): this;
    integer(): this;
    bool(): this;
    index(): this;
}
