import { Abstract } from "../models/Abstract";
import { UUIDable } from "../table/UUIDable";
declare class DBCache {
    cache<T extends Abstract<UUIDable, T>>(name: string, object: T): void;
    get(klass: string): Abstract<UUIDable, any>[];
    set(klass: string, list: Abstract<any, any>[]): void;
    has(name: string): Abstract<UUIDable, any>[];
}
declare const _default: DBCache;
export default _default;
