import { RawType } from "./Types";
export var DeclaredRadioactiveParatonnerreType;
(function (DeclaredRadioactiveParatonnerreType) {
    DeclaredRadioactiveParatonnerreType[DeclaredRadioactiveParatonnerreType["UNKNOWN"] = 0] = "UNKNOWN";
    DeclaredRadioactiveParatonnerreType[DeclaredRadioactiveParatonnerreType["RADIUM"] = 1] = "RADIUM";
    DeclaredRadioactiveParatonnerreType[DeclaredRadioactiveParatonnerreType["AMERICIUM"] = 2] = "AMERICIUM";
})(DeclaredRadioactiveParatonnerreType || (DeclaredRadioactiveParatonnerreType = {}));
var transformFrom = function (value) {
    if (!value)
        return 0;
    switch (value) {
        case DeclaredRadioactiveParatonnerreType.AMERICIUM: return 2;
        case DeclaredRadioactiveParatonnerreType.RADIUM: return 1;
        default: return 0;
    }
};
var transformInto = function (value) {
    if (!value)
        return DeclaredRadioactiveParatonnerreType.UNKNOWN;
    value = parseInt(value);
    switch (value) {
        case 2: return DeclaredRadioactiveParatonnerreType.AMERICIUM;
        case 1: return DeclaredRadioactiveParatonnerreType.RADIUM;
        default: return DeclaredRadioactiveParatonnerreType.UNKNOWN;
    }
};
export var TypeDeclaredRadioactiveParatonnerreType = {
    type: RawType.Integer,
    transformIntoTable: transformFrom,
    transformFromTable: transformInto
};
//# sourceMappingURL=DeclaredRadioactiveParatonnerreType.js.map