import { RawType } from "./Types";
export var DimensionType;
(function (DimensionType) {
    DimensionType["TYPE_30x2mm"] = "TYPE_30x2mm";
    DimensionType["TYPE_30x3mm"] = "TYPE_30x3mm";
    DimensionType["TYPE_25x3mm"] = "TYPE_25x3mm";
    DimensionType["TYPE_8mm"] = "TYPE_8mm";
    DimensionType["TYPE_OTHER"] = "TYPE_OTHER";
})(DimensionType || (DimensionType = {}));
var transformFrom = function (value) {
    if (!value)
        return "TYPE_OTHER";
    switch (value) {
        case DimensionType.TYPE_30x2mm: return "TYPE_30x2mm";
        case DimensionType.TYPE_30x3mm: return "TYPE_30x3mm";
        case DimensionType.TYPE_25x3mm: return "TYPE_25x3mm";
        case DimensionType.TYPE_8mm: return "TYPE_8mm";
        case DimensionType.TYPE_OTHER: return "TYPE_OTHER";
        default:
            return "TYPE_OTHER";
    }
};
var transformInto = function (value) {
    if (!value)
        return DimensionType.TYPE_OTHER;
    switch (value) {
        case "TYPE_30x2mm": return DimensionType.TYPE_30x2mm;
        case "TYPE_30x3mm": return DimensionType.TYPE_30x3mm;
        case "TYPE_25x3mm": return DimensionType.TYPE_25x3mm;
        case "TYPE_8mm": return DimensionType.TYPE_8mm;
        case "TYPE_OTHER":
        default:
            return DimensionType.TYPE_OTHER;
    }
};
export var TypeDimensionType = {
    type: RawType.Text,
    transformIntoTable: transformFrom,
    transformFromTable: transformInto
};
//# sourceMappingURL=Dimension.js.map