import { AssetType } from "./AssetType";
export interface TransformInto<TYPE> {
    (value: any): TYPE;
}
export declare const transformIntoDate: TransformInto<Date | undefined>;
export declare const transformIntoReal: TransformInto<number | undefined>;
export declare const transformIntoNumber: TransformInto<number | undefined>;
export declare const transformIntoBoolean: TransformInto<boolean>;
export declare const transformIntoText: TransformInto<string | undefined>;
export declare const transformIntoTextKey: TransformInto<string | undefined>;
export declare const transformFromAssetType: TransformInto<string>;
export declare const transformIntoAssetType: TransformInto<AssetType>;
