import { RawType } from "./Types";
export var GeometryType;
(function (GeometryType) {
    GeometryType["TRIANGLE"] = "TRIANGLE";
    GeometryType["BRIDLE"] = "BRIDLE";
    GeometryType["SIMPLIFIED"] = "SIMPLIFIED";
    GeometryType["UNKNOWN"] = "UNKNOWN";
    GeometryType["OTHER"] = "OTHER";
})(GeometryType || (GeometryType = {}));
var transformFrom = function (value) {
    if (!value)
        return "OTHER";
    switch (value) {
        case GeometryType.TRIANGLE: return "TRIANGLE";
        case GeometryType.BRIDLE: return "BRIDLE";
        case GeometryType.SIMPLIFIED: return "SIMPLIFIED";
        case GeometryType.UNKNOWN: return "UNKNOWN";
        case GeometryType.OTHER:
        default:
            return "OTHER";
    }
};
var transformInto = function (value) {
    if (!value)
        return GeometryType.OTHER;
    switch (value) {
        case "TRIANGLE": return GeometryType.TRIANGLE;
        case "BRIDLE": return GeometryType.BRIDLE;
        case "SIMPLIFIED": return GeometryType.SIMPLIFIED;
        case "UNKNOWN": return GeometryType.UNKNOWN;
        case "OTHER":
        default:
            return GeometryType.OTHER;
    }
};
export var TypeGeometryType = {
    type: RawType.Text,
    transformIntoTable: transformFrom,
    transformFromTable: transformInto
};
//# sourceMappingURL=GeometryType.js.map