export var InstallationType;
(function (InstallationType) {
    InstallationType[InstallationType["PROTECTION"] = 0] = "PROTECTION";
    InstallationType[InstallationType["DETECTION"] = 1] = "DETECTION";
    InstallationType[InstallationType["ARRESTER"] = 2] = "ARRESTER";
})(InstallationType || (InstallationType = {}));
export var transformNumberIntoInstallationType = function (value) {
    //@ts-ignore
    value = parseInt(value);
    if (value == InstallationType.ARRESTER)
        return InstallationType.ARRESTER;
    if (value == InstallationType.DETECTION)
        return InstallationType.DETECTION;
    if (!value)
        return InstallationType.PROTECTION;
    switch (value) {
        case 2: return InstallationType.ARRESTER;
        case 1: return InstallationType.DETECTION;
        default: return InstallationType.PROTECTION;
    }
};
export var transformInstallationTypeIntoNumber = function (type) {
    if (type == InstallationType.ARRESTER)
        return 2;
    if (type == InstallationType.DETECTION)
        return 1;
    //@ts-ignore
    if (type == 1)
        return 1;
    //@ts-ignore
    if (type == 2)
        return 2;
    if (!type)
        return 0;
    switch (type) {
        case InstallationType.ARRESTER: return 2;
        case InstallationType.DETECTION: return 1;
        default: return 0;
    }
};
//# sourceMappingURL=InstallationType.js.map