import { RawType } from "./Types";
export var LightningRodType;
(function (LightningRodType) {
    LightningRodType["SIMPLE"] = "SIMPLE";
    LightningRodType["RADIOACTIVE"] = "RADIOACTIVE";
})(LightningRodType || (LightningRodType = {}));
var transformFrom = function (value) {
    if (!value)
        return "SIMPLE";
    switch (value) {
        case LightningRodType.RADIOACTIVE: return "RADIOACTIVE";
        case LightningRodType.SIMPLE:
        default:
            return "SIMPLE";
    }
};
var transformInto = function (value) {
    if (!value)
        return LightningRodType.SIMPLE;
    switch (value) {
        case "RADIOACTIVE": return LightningRodType.RADIOACTIVE;
        case "SIMPLE":
        default:
            return LightningRodType.SIMPLE;
    }
};
export var TypeLightningRodType = {
    type: RawType.Text,
    transformIntoTable: transformFrom,
    transformFromTable: transformInto
};
//# sourceMappingURL=LightningRodType.js.map