import { RawType } from "./Types";
export var MaterialShortType;
(function (MaterialShortType) {
    MaterialShortType["COPPER_TRESSED"] = "COPPER_TRESSED";
    MaterialShortType["COPPER_TINNED"] = "COPPER_TINNED";
    MaterialShortType["COPPER_NUDE"] = "COPPER_NUDE";
    MaterialShortType["STEEL_INOX"] = "STEEL_INOX";
    MaterialShortType["OTHER"] = "OTHER";
})(MaterialShortType || (MaterialShortType = {}));
var transformFrom = function (value) {
    if (!value)
        return "OTHER";
    switch (value) {
        case MaterialShortType.COPPER_TRESSED: return "COPPER_TRESSED";
        case MaterialShortType.COPPER_NUDE: return "COPPER_NUDE";
        case MaterialShortType.COPPER_TINNED: return "COPPER_TINNED";
        case MaterialShortType.STEEL_INOX: return "STEEL_INOX";
        case MaterialShortType.OTHER:
        default:
            return "OTHER";
    }
};
var transformInto = function (value) {
    if (!value)
        return MaterialShortType.OTHER;
    switch (value) {
        case "COPPER_TRESSED": return MaterialShortType.COPPER_TRESSED;
        case "COPPER_NUDE": return MaterialShortType.COPPER_NUDE;
        case "COPPER_TINNED": return MaterialShortType.COPPER_TINNED;
        case "STEEL_INOX": return MaterialShortType.STEEL_INOX;
        case "OTHER":
        default:
            return MaterialShortType.OTHER;
    }
};
export var TypeMaterialShortType = {
    type: RawType.Text,
    transformIntoTable: transformFrom,
    transformFromTable: transformInto
};
//# sourceMappingURL=MaterialShortType.js.map