import { RawType } from "./Types";
export var MaterialStakeMeasureType;
(function (MaterialStakeMeasureType) {
    MaterialStakeMeasureType["MEASURE_5_8_16_mm"] = "MEASURE_5_8_16_mm";
    MaterialStakeMeasureType["MEASURE_3_4_19_mm"] = "MEASURE_3_4_19_mm";
    MaterialStakeMeasureType["OTHER"] = "OTHER";
    MaterialStakeMeasureType["UNKNOWN"] = "UNKNOWN";
})(MaterialStakeMeasureType || (MaterialStakeMeasureType = {}));
var transformFrom = function (value) {
    if (!value)
        return "UNKNOWN";
    switch (value) {
        case MaterialStakeMeasureType.MEASURE_5_8_16_mm: return "MEASURE_5_8_16_mm";
        case MaterialStakeMeasureType.OTHER: return "OTHER";
        case MaterialStakeMeasureType.MEASURE_3_4_19_mm: return "MEASURE_3_4_19_mm";
        default:
            return "UNKNOWN";
    }
};
var transformInto = function (value) {
    if (!value)
        return MaterialStakeMeasureType.UNKNOWN;
    switch (value) {
        case "MEASURE_5_8_16_mm": return MaterialStakeMeasureType.MEASURE_5_8_16_mm;
        case "OTHER": return MaterialStakeMeasureType.OTHER;
        case "MEASURE_3_4_19_mm": return MaterialStakeMeasureType.MEASURE_3_4_19_mm;
        case "ALUMINIUM":
        default:
            return MaterialStakeMeasureType.UNKNOWN;
    }
};
export var TypeMaterialStakeMeasureType = {
    type: RawType.Text,
    transformIntoTable: transformFrom,
    transformFromTable: transformInto
};
//# sourceMappingURL=MaterialStakeMeasureType.js.map