import { RawType } from "./Types";
export var MaterialStakeType;
(function (MaterialStakeType) {
    MaterialStakeType["STEEL_INOX"] = "STEEL_INOX";
    MaterialStakeType["STEEL_GALVANIZED"] = "STEEL_GALVANIZED";
    MaterialStakeType["STEEL_COPPERED"] = "STEEL_COPPERED";
    MaterialStakeType["OTHER"] = "OTHER";
    MaterialStakeType["UNKNOWN"] = "UNKNOWN";
})(MaterialStakeType || (MaterialStakeType = {}));
var transformFrom = function (value) {
    if (!value)
        return "UNKNOWN";
    switch (value) {
        case MaterialStakeType.STEEL_COPPERED: return "STEEL_COPPERED";
        case MaterialStakeType.OTHER: return "OTHER";
        case MaterialStakeType.STEEL_INOX: return "STEEL_INOX";
        case MaterialStakeType.STEEL_GALVANIZED: return "STEEL_GALVANIZED";
        default:
            return "UNKNOWN";
    }
};
var transformInto = function (value) {
    if (!value)
        return MaterialStakeType.UNKNOWN;
    switch (value) {
        case "STEEL_COPPERED": return MaterialStakeType.STEEL_COPPERED;
        case "OTHER": return MaterialStakeType.OTHER;
        case "STEEL_INOX": return MaterialStakeType.STEEL_INOX;
        case "STEEL_GALVANIZED": return MaterialStakeType.STEEL_GALVANIZED;
        case "ALUMINIUM":
        default:
            return MaterialStakeType.UNKNOWN;
    }
};
export var TypeMaterialStakeType = {
    type: RawType.Text,
    transformIntoTable: transformFrom,
    transformFromTable: transformInto
};
//# sourceMappingURL=MaterialStakeType.js.map