export var MaterialType;
(function (MaterialType) {
    MaterialType["COPPER_TRESSED"] = "COPPER_TRESSED";
    MaterialType["COPPER"] = "COPPER";
    MaterialType["COPPER_NUDE"] = "COPPER_NUDE";
    MaterialType["COPPER_TINNED"] = "COPPER_TINNED";
    MaterialType["STEEL"] = "STEEL";
    MaterialType["STEEL_INOX"] = "STEEL_INOX";
    MaterialType["STEEL_GALVANIZED"] = "STEEL_GALVANIZED";
    MaterialType["ALUMINIUM"] = "ALUMINIUM";
    MaterialType["INOX"] = "INOX";
    MaterialType["OTHER"] = "OTHER";
})(MaterialType || (MaterialType = {}));
export var ParatonnerreType;
(function (ParatonnerreType) {
    ParatonnerreType["COPPER"] = "COPPER";
    ParatonnerreType["INOX"] = "INOX";
    ParatonnerreType["ALUMINIUM"] = "ALUMINIUM";
})(ParatonnerreType || (ParatonnerreType = {}));
export var transformFromMaterialType = function (value) {
    if (!value)
        return "OTHER";
    switch (value) {
        case MaterialType.COPPER_TRESSED: return "COPPER_TRESSED";
        case MaterialType.COPPER: return "COPPER";
        case MaterialType.COPPER_NUDE: return "COPPER_NUDE";
        case MaterialType.COPPER_TINNED: return "COPPER_TINNED";
        case MaterialType.STEEL: return "STEEL";
        case MaterialType.STEEL_INOX: return "STEEL_INOX";
        case MaterialType.STEEL_GALVANIZED: return "STEEL_GALVANIZED";
        case MaterialType.ALUMINIUM: return "ALUMINIUM";
        case MaterialType.INOX: return "INOX";
        case MaterialType.OTHER:
        default:
            return "OTHER";
    }
};
export var transformIntoMaterialType = function (value) {
    if (!value)
        return MaterialType.OTHER;
    switch (value) {
        case "COPPER_TRESSED": return MaterialType.COPPER_TRESSED;
        case "COPPER": return MaterialType.COPPER;
        case "COPPER_NUDE": return MaterialType.COPPER_NUDE;
        case "COPPER_TINNED": return MaterialType.COPPER_TINNED;
        case "STEEL": return MaterialType.STEEL;
        case "STEEL_INOX": return MaterialType.STEEL_INOX;
        case "STEEL_GALVANIZED": return MaterialType.STEEL_GALVANIZED;
        case "ALUMINIUM": return MaterialType.ALUMINIUM;
        case "INOX": return MaterialType.INOX;
        case "INOX":
        default:
            return MaterialType.OTHER;
    }
};
export var transformFromParatonnerreType = function (value) {
    if (!value)
        return "COPPER";
    switch (value) {
        case ParatonnerreType.COPPER: return "COPPER";
        case ParatonnerreType.COPPER: return "COPPER";
        default: return "INOX";
    }
};
export var transformIntoParatonnerreType = function (value) {
    if (!value)
        return ParatonnerreType.COPPER;
    if (value === "ALUMINIUM")
        return ParatonnerreType.ALUMINIUM;
    return ParatonnerreType.INOX;
};
//# sourceMappingURL=MaterialType.js.map