import { ProtectionLevel } from "./ProtectionLevel";
var SpfValues = [];
SpfValues[ProtectionLevel.UNKNOWN] = 1;
SpfValues[ProtectionLevel.LEVEL_4] = 0.2;
SpfValues[ProtectionLevel.LEVEL_3] = 0.1;
SpfValues[ProtectionLevel.LEVEL_2] = 0.05;
SpfValues[ProtectionLevel.LEVEL_1] = 0.02;
export var getSpf = function (level) { return SpfValues[level] || SpfValues[ProtectionLevel.UNKNOWN]; };
var ServiceSurgeArresterValues = [];
ServiceSurgeArresterValues[ProtectionLevel.UNKNOWN] = 1;
ServiceSurgeArresterValues[ProtectionLevel.LEVEL_4] = 0.05;
ServiceSurgeArresterValues[ProtectionLevel.LEVEL_3] = 0.05;
ServiceSurgeArresterValues[ProtectionLevel.LEVEL_2] = 0.02;
ServiceSurgeArresterValues[ProtectionLevel.LEVEL_1] = 0.01;
export var getServiceSurgeArrester = function (level) { return ServiceSurgeArresterValues[level] || ServiceSurgeArresterValues[ProtectionLevel.UNKNOWN]; };
//# sourceMappingURL=Spf.js.map