import { Abstract } from "./Abstract";
import { AssetType, DefaultAssetParams } from "../helpers/AssetType";
export default class ConductorSectionAsset extends Abstract<DefaultAssetParams, ConductorSectionAsset> implements DefaultAssetParams {
    type: AssetType;
    content: string;
    principal: boolean | undefined;
    description: string | undefined;
    optional_local_location: string | undefined;
    optional_local_pushed: boolean | undefined;
    optional_category_key: string | undefined;
    verification: string | undefined;
    added_from_gallery: boolean;
    constructor(values: DefaultAssetParams);
}
