import { Abstract } from "./Abstract";
import { UUIDable } from "../table/UUIDable";
export interface DeviceProjectRegistrationParams extends UUIDable {
    device?: string;
    added?: boolean;
    project?: string;
}
export default class DeviceProjectRegistration extends Abstract<DeviceProjectRegistrationParams, DeviceProjectRegistration> implements DeviceProjectRegistrationParams {
    device: string;
    project: string;
    unknown: boolean;
    added: boolean;
    constructor(values: DeviceProjectRegistrationParams);
}
