var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Abstract } from "./Abstract";
import { Argument, TypeAssetType, TypeText, TypeBoolean } from "../helpers/Types";
import { AssetType } from "../helpers/AssetType";
import { column } from "../helpers/Decorators";
var IncomingServiceAsset = /** @class */ (function (_super) {
    __extends(IncomingServiceAsset, _super);
    function IncomingServiceAsset(values) {
        var _this = _super.call(this, "IncomingServiceAsset", values) || this;
        _this.type = AssetType.PHOTO;
        _this.content = "";
        _this.description = undefined;
        _this.principal = false;
        _this.optional_local_location = undefined;
        _this.optional_local_pushed = false;
        _this.optional_category_key = undefined;
        _this.verification = undefined;
        _this.added_from_gallery = false;
        _this.from(values);
        if (!_this.added_from_gallery)
            _this.added_from_gallery = false;
        return _this;
    }
    __decorate([
        column({ type: TypeAssetType, option: Argument.DefaultNull }),
        __metadata("design:type", String)
    ], IncomingServiceAsset.prototype, "type", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull }),
        __metadata("design:type", String)
    ], IncomingServiceAsset.prototype, "content", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull }),
        __metadata("design:type", Object)
    ], IncomingServiceAsset.prototype, "description", void 0);
    __decorate([
        column({ type: TypeBoolean, option: Argument.DefaultNull }),
        __metadata("design:type", Object)
    ], IncomingServiceAsset.prototype, "principal", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull, local_only: true }),
        __metadata("design:type", Object)
    ], IncomingServiceAsset.prototype, "optional_local_location", void 0);
    __decorate([
        column({ type: TypeBoolean, option: Argument.DefaultNull, local_only: true }),
        __metadata("design:type", Object)
    ], IncomingServiceAsset.prototype, "optional_local_pushed", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull }),
        __metadata("design:type", Object)
    ], IncomingServiceAsset.prototype, "optional_category_key", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull }),
        __metadata("design:type", Object)
    ], IncomingServiceAsset.prototype, "verification", void 0);
    __decorate([
        column({ type: TypeBoolean, option: Argument.DefaultNull }),
        __metadata("design:type", Boolean)
    ], IncomingServiceAsset.prototype, "added_from_gallery", void 0);
    return IncomingServiceAsset;
}(Abstract));
export default IncomingServiceAsset;
//# sourceMappingURL=IncomingServiceAsset.js.map