var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Abstract } from "./Abstract";
import { Argument, TypeText, TypeBoolean, TypeDate } from "../helpers/Types";
import { column } from "../helpers/Decorators";
var Message = /** @class */ (function (_super) {
    __extends(Message, _super);
    function Message(values) {
        var _this = _super.call(this, "Message", values) || this;
        _this.project = "";
        _this.uuid = "";
        _this.created_at = undefined;
        _this.sender = "";
        _this.content = undefined;
        _this.additionnal = undefined;
        _this.translation_key = undefined;
        _this.additionnal_translation_key = undefined;
        _this.local = false;
        _this.image = undefined;
        _this.system = false;
        _this.error = undefined;
        _this.sent = undefined;
        _this.from(values);
        return _this;
    }
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull }),
        __metadata("design:type", String)
    ], Message.prototype, "project", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNonNull }),
        __metadata("design:type", String)
    ], Message.prototype, "uuid", void 0);
    __decorate([
        column({ type: TypeDate, option: Argument.DefaultNonNull }),
        __metadata("design:type", Object)
    ], Message.prototype, "created_at", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNonNull }),
        __metadata("design:type", String)
    ], Message.prototype, "sender", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull }),
        __metadata("design:type", String)
    ], Message.prototype, "content", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull }),
        __metadata("design:type", String)
    ], Message.prototype, "additionnal", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull }),
        __metadata("design:type", String)
    ], Message.prototype, "translation_key", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull }),
        __metadata("design:type", String)
    ], Message.prototype, "additionnal_translation_key", void 0);
    __decorate([
        column({ type: TypeBoolean, option: Argument.DefaultNull }),
        __metadata("design:type", Boolean)
    ], Message.prototype, "local", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull }),
        __metadata("design:type", String)
    ], Message.prototype, "image", void 0);
    __decorate([
        column({ type: TypeBoolean, option: Argument.DefaultNull }),
        __metadata("design:type", Boolean)
    ], Message.prototype, "system", void 0);
    __decorate([
        column({ type: TypeBoolean, option: Argument.DefaultNull }),
        __metadata("design:type", Boolean)
    ], Message.prototype, "error", void 0);
    __decorate([
        column({ type: TypeBoolean, option: Argument.DefaultNull }),
        __metadata("design:type", Boolean)
    ], Message.prototype, "sent", void 0);
    return Message;
}(Abstract));
export default Message;
//# sourceMappingURL=Message.js.map