var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { EventEmitter2 } from "eventemitter2";
var User = /** @class */ (function (_super) {
    __extends(User, _super);
    ////company text, address text, city text, lastname text, surname text, postalcode text, state text, website text, 
    function User(id, guid, login, email, persistence_token, rights, company, address, city, firstname, lastname, surname, postalcode, state, website, phone, vault_size, gems, lightning_radius, lightning_notification_type) {
        var _this = _super.call(this) || this;
        _this.id = id;
        _this.uuid = function () { return _this._guid; };
        _this.phone = function () { return _this._phone; };
        _this.login = function () { return _this._login; };
        _this.email = function () { return _this._email; };
        _this.token = function () { return _this._persistence_token; };
        _this.rights = function () { return _this._rights; };
        _this.company = function () { return _this._company; };
        _this.address = function () { return _this._address; };
        _this.city = function () { return _this._city; };
        _this.firstname = function () { return _this._firstname; };
        _this.lastname = function () { return _this._lastname; };
        _this.surname = function () { return _this._surname; };
        _this.postalcode = function () { return _this._postalcode; };
        _this.state = function () { return _this._state; };
        _this.website = function () { return _this._website; };
        _this.setLightningRadius = function (lightning_radius) {
            _this._lightning_radius = lightning_radius;
            return _this;
        };
        _this.setLightningNotificationType = function (lightning_notification_type) {
            _this._lightning_notification_type = lightning_notification_type;
            return _this;
        };
        _this.setUuid = function (uuid) {
            _this._guid = uuid;
            return _this;
        };
        _this.setPhone = function (phone) {
            _this._phone = phone;
            return _this;
        };
        _this.setRights = function (rights) {
            _this._rights = (rights || []);
            return _this;
        };
        _this.setVaultSize = function (vault_size) {
            _this._vault_size = vault_size;
            return _this;
        };
        _this.setGems = function (gems) {
            _this._gems = gems;
            return _this;
        };
        _this.setLogin = function (login) {
            _this._login = login;
            return _this;
        };
        _this.setEmail = function (email) {
            _this._email = email;
            return _this;
        };
        _this.setToken = function (token) {
            _this._persistence_token = token;
            return _this;
        };
        _this.setCompany = function (company) { _this._company = company; return _this; };
        _this.setAddress = function (address) { _this._address = address; return _this; };
        _this.setCity = function (city) { _this._city = city; return _this; };
        _this.setLastname = function (lastname) { _this._lastname = lastname; return _this; };
        _this.setSurname = function (surname) { _this._surname = surname; return _this; };
        _this.setFirstname = function (firstname) { _this._firstname = firstname; return _this; };
        _this.setPostalcode = function (postalcode) { _this._postalcode = postalcode; return _this; };
        _this.setState = function (state) { _this._state = state; return _this; };
        _this.setWebsite = function (website) { _this._website = website; return _this; };
        _this.subscriptions = function () { return []; };
        _this.hasValidSubscriptions = function () { return false; };
        _this._guid = guid;
        _this._login = login;
        _this._email = email;
        _this._company = company || "";
        _this._address = address || "";
        _this._company = company || "";
        _this._city = city || "";
        _this._phone = phone || "";
        _this._lastname = lastname || "";
        _this._firstname = firstname || "";
        _this._surname = surname || "";
        _this._postalcode = postalcode || "";
        _this._state = state || "";
        _this._website = website || "";
        _this._persistence_token = persistence_token;
        _this._rights = (rights || "").split(",");
        _this._vault_size = vault_size || 0;
        _this._gems = gems || 0;
        _this._lightning_radius = lightning_radius || 5;
        _this._lightning_notification_type = lightning_notification_type || "none";
        return _this;
    }
    User.prototype.vault_size = function () { return this._vault_size; };
    User.prototype.gems = function () { return this._gems; };
    User.prototype.lightning_radius = function () { return this._lightning_radius; };
    User.prototype.lightning_notification_type = function () { return this._lightning_notification_type; };
    return User;
}(EventEmitter2));
export default User;
//# sourceMappingURL=User.js.map