import { EventEmitter2 } from "eventemitter2";
export default class Notifications extends EventEmitter2 {
    private messageListener?;
    private _awaiting_notifications;
    private onNotificationOpenedUnregister;
    private pushRegistered;
    private pushRegisteredFailed;
    private notificationAndroid;
    private notificationBackground;
    private notificationForeground;
    private notificationOpened;
    private notificationListener?;
    private deviceToken?;
    static instance: Notifications;
    private constructor();
    register: (notification_channel_title: string, notification_channel_description: string) => Promise<void>;
    private _onPushRegistered;
    private _onPushRegistrationFailed;
    unregister(): void;
    pushRegisteredUnregister(): void;
    hasPermission: () => Promise<boolean>;
    checkPermissions: () => Promise<boolean | import("@react-native-firebase/messaging").FirebaseMessagingTypes.AuthorizationStatus>;
    private _onNotificationData;
    private _onNotificationReceivedAndroid;
    private _onNotificationReceivedForeground;
    private _onNotificationReceivedBackground;
    private _onNotificationOpened;
    setBadges(badge: number): Promise<void>;
    createLocalNotification(title: string, body: string, id: string, data?: {}): Promise<string>;
    getBadges(): Promise<number>;
    getAwaitingNotifications(): any[];
    clearNotifications(): void;
}
