var _distinct = function (value, index, self) {
    return self.indexOf(value) === index;
};
export function distinct(array) {
    return array.filter(_distinct);
}
export function distinctKeys(array) {
    return array.map(function (a) { return a.uuid; }).filter(_distinct);
}
function findWithKey(array, key) {
    return array.find(function (item) { return item.uuid == key; });
}
export function distinctsAbstract(array, exclude_deleted) {
    if (!array)
        return [];
    var keys = distinct(array.map(function (a) { return a.uuid; }));
    var result = keys.map(function (k) { return findWithKey(array, k); });
    if (!!exclude_deleted)
        return result.filter(function (r) { return !r.deleted; });
    return result;
}
//# sourceMappingURL=Array.js.map