import { Provider } from "./queue_interfaces";
export default class Queue<TYPE> {
    private delay;
    private queue_length;
    private waiting;
    private waiting_for_one_call;
    constructor(delay?: number, queue_length?: number);
    private next;
    isRunning(): boolean;
    enqueue(provider: Provider<TYPE>): Promise<TYPE>;
    enqueuePromise(lambda: (resolve: (result: TYPE) => void, reject: any) => void): Promise<TYPE>;
}
