export interface Provider<TYPE> {
    (): Promise<TYPE>;
}
export interface PromiseHolder<TYPE> {
    provider: Provider<TYPE>;
    resolve: (value: TYPE | PromiseLike<TYPE>) => void;
    reject: (error: Error) => void;
}
