import { UUIDable } from "../table/UUIDable";
export declare enum AssetType {
    PHOTO = "photo",
    LINK = "link",
    FILE = "file"
}
export interface DefaultAssetParams extends UUIDable {
    type: string;
    content: string;
    description?: string;
    principal?: boolean;
    optional_local_location?: string;
    optional_local_pushed?: boolean;
    optional_category_key?: string;
    verification?: string | undefined;
    added_from_gallery: boolean;
}
export declare const transformStringIntoAssetType: (type: string) => AssetType;
