var cache = {};
var DBCache = /** @class */ (function () {
    function DBCache() {
    }
    DBCache.prototype.cache = function (name, object) {
        var list = this.get(name);
        if (list) {
            var found = true;
            if (!list.find(function (a) { return a.uuid == object.uuid; })) {
                found = false;
            }
            if (object.id && !list.find(function (a) { return a.id == object.id; })) {
                found = false;
            }
            if (!found) {
                list.push(object);
            }
        }
        else {
            list = [object];
        }
        this.set(name, list);
    };
    DBCache.prototype.get = function (klass) {
        if (!cache[klass])
            cache[klass] = [];
        return cache[klass];
    };
    DBCache.prototype.set = function (klass, list) {
        cache[klass] = list;
    };
    DBCache.prototype.has = function (name) {
        return cache[name];
    };
    return DBCache;
}());
export default new DBCache();
//# sourceMappingURL=DBCache.js.map