import { RawType } from "./Types";
export var DeclaredParatonnerreType;
(function (DeclaredParatonnerreType) {
    DeclaredParatonnerreType[DeclaredParatonnerreType["PARATONNERRE"] = 0] = "PARATONNERRE";
    DeclaredParatonnerreType[DeclaredParatonnerreType["RADIOACTIVE"] = 1] = "RADIOACTIVE";
    DeclaredParatonnerreType[DeclaredParatonnerreType["PDA"] = 2] = "PDA";
    DeclaredParatonnerreType[DeclaredParatonnerreType["UNKNOWN"] = 3] = "UNKNOWN";
})(DeclaredParatonnerreType || (DeclaredParatonnerreType = {}));
var transformFrom = function (value) {
    if (!value)
        return 0;
    switch (value) {
        case DeclaredParatonnerreType.UNKNOWN: return 3;
        case DeclaredParatonnerreType.PDA: return 2;
        case DeclaredParatonnerreType.RADIOACTIVE: return 1;
        default: return 0;
    }
};
var transformInto = function (value) {
    if (!value)
        return DeclaredParatonnerreType.PARATONNERRE;
    value = parseInt(value);
    switch (value) {
        case 3: return DeclaredParatonnerreType.UNKNOWN;
        case 2: return DeclaredParatonnerreType.PDA;
        case 1: return DeclaredParatonnerreType.RADIOACTIVE;
        default: return DeclaredParatonnerreType.PARATONNERRE;
    }
};
export var TypeDeclaredParatonnerreType = {
    type: RawType.Integer,
    transformIntoTable: transformFrom,
    transformFromTable: transformInto
};
//# sourceMappingURL=DeclaredParatonnerreType.js.map