import "reflect-metadata";
import { ColumnAnnotation } from "./Types";
import { Abstract, GenericInterface } from "../models/Abstract";
export interface ChildHolder {
    children: GenericInterface<any>;
    keyName: string;
}
export declare function column(columnType: ColumnAnnotation): {
    (target: Function): void;
    (target: Object, propertyKey: string | symbol): void;
};
export declare function getColumnType(target: Abstract<any, any>, propertyKey: string): ColumnAnnotation | null;
export declare function children(children: GenericInterface<any>): {
    (target: Function): void;
    (target: Object, propertyKey: string | symbol): void;
};
export declare function getChildren(target: Abstract<any, any>, propertyKey: string): GenericInterface<any> | null | undefined;
