import "reflect-metadata";
var columnMetadataKey = "column"; //Symbol("column");
var childrenMetadataKey = "children"; //Symbol("child");
export function column(columnType) {
    return Reflect.metadata(columnMetadataKey, columnType);
}
;
export function getColumnType(target, propertyKey) {
    return Reflect.getMetadata(columnMetadataKey, target, propertyKey);
}
export function children(children) {
    return Reflect.metadata(childrenMetadataKey, children);
}
;
export function getChildren(target, propertyKey) {
    return Reflect.getMetadata(childrenMetadataKey, target, propertyKey);
}
//# sourceMappingURL=Decorators.js.map