export var EquipotentialSectionType;
(function (EquipotentialSectionType) {
    EquipotentialSectionType["SECTION_16_2"] = "SECTION_16_2";
    EquipotentialSectionType["SECTION_25_2"] = "SECTION_25_2";
    EquipotentialSectionType["SECTION_50_2"] = "SECTION_50_2";
    EquipotentialSectionType["SECTION_60_2"] = "SECTION_60_2";
    EquipotentialSectionType["SECTION_75_2"] = "SECTION_75_2";
    EquipotentialSectionType["OTHER"] = "OTHER";
})(EquipotentialSectionType || (EquipotentialSectionType = {}));
export var transformFromEquipotentialSectionType = function (value) {
    if (!value)
        return "OTHER";
    switch (value) {
        case EquipotentialSectionType.SECTION_16_2: return "SECTION_16_2";
        case EquipotentialSectionType.SECTION_25_2: return "SECTION_25_2";
        case EquipotentialSectionType.SECTION_50_2: return "SECTION_50_2";
        case EquipotentialSectionType.SECTION_60_2: return "SECTION_60_2";
        case EquipotentialSectionType.SECTION_75_2: return "SECTION_75_2";
        default:
            return "OTHER";
    }
};
export var transformIntoEquipotentialSectionType = function (value) {
    if (!value)
        return EquipotentialSectionType.OTHER;
    switch (value) {
        case "SECTION_16_2": return EquipotentialSectionType.SECTION_16_2;
        case "SECTION_25_2": return EquipotentialSectionType.SECTION_25_2;
        case "SECTION_50_2": return EquipotentialSectionType.SECTION_50_2;
        case "SECTION_60_2": return EquipotentialSectionType.SECTION_60_2;
        case "SECTION_75_2": return EquipotentialSectionType.SECTION_75_2;
        default:
            return EquipotentialSectionType.OTHER;
    }
};
//# sourceMappingURL=EquipotentailSectionType.js.map