import { RawType } from "./Types";
//deport, platine, trepier, debeton, autre
//fasteners, plate, tripod, concrete block
export var FixationType;
(function (FixationType) {
    FixationType["FASTENER"] = "FASTENER";
    FixationType["PLATE"] = "PLATE";
    FixationType["TRIPOD"] = "TRIPOD";
    FixationType["CONCRETE_BLOCK"] = "CONCRETE_BLOCK";
    FixationType["OTHER"] = "OTHER";
})(FixationType || (FixationType = {}));
var transformFrom = function (value) {
    if (!value)
        return "OTHER";
    switch (value) {
        case FixationType.FASTENER: return "FASTENER";
        case FixationType.PLATE: return "PLATE";
        case FixationType.TRIPOD: return "TRIPOD";
        case FixationType.CONCRETE_BLOCK: return "CONCRETE_BLOCK";
        case FixationType.OTHER:
        default:
            return "OTHER";
    }
};
var transformInto = function (value) {
    if (!value)
        return FixationType.OTHER;
    switch (value) {
        case "FASTENER": return FixationType.FASTENER;
        case "PLATE": return FixationType.PLATE;
        case "TRIPOD": return FixationType.TRIPOD;
        case "CONCRETE_BLOCK": return FixationType.CONCRETE_BLOCK;
        case "OTHER":
        default:
            return FixationType.OTHER;
    }
};
export var TypeFixationType = {
    type: RawType.Text,
    transformIntoTable: transformFrom,
    transformFromTable: transformInto
};
//# sourceMappingURL=FixationType.js.map