import { RawType } from "./Types";
export var MaterialStakeFixingType;
(function (MaterialStakeFixingType) {
    MaterialStakeFixingType["CLAMPING_LUGS"] = "CLAMPING_LUGS";
    MaterialStakeFixingType["ALUMINOTERMIC_WELDING"] = "ALUMINOTERMIC_WELDING";
    MaterialStakeFixingType["OTHER"] = "OTHER";
    MaterialStakeFixingType["UNKNOWN"] = "UNKNOWN";
})(MaterialStakeFixingType || (MaterialStakeFixingType = {}));
var transformFrom = function (value) {
    if (!value)
        return "UNKNOWN";
    switch (value) {
        case MaterialStakeFixingType.CLAMPING_LUGS: return "CLAMPING_LUGS";
        case MaterialStakeFixingType.OTHER: return "OTHER";
        case MaterialStakeFixingType.ALUMINOTERMIC_WELDING: return "ALUMINOTERMIC_WELDING";
        default:
            return "UNKNOWN";
    }
};
var transformInto = function (value) {
    if (!value)
        return MaterialStakeFixingType.UNKNOWN;
    switch (value) {
        case "CLAMPING_LUGS": return MaterialStakeFixingType.CLAMPING_LUGS;
        case "OTHER": return MaterialStakeFixingType.OTHER;
        case "ALUMINOTERMIC_WELDING": return MaterialStakeFixingType.ALUMINOTERMIC_WELDING;
        case "ALUMINIUM":
        default:
            return MaterialStakeFixingType.UNKNOWN;
    }
};
export var TypeMaterialStakeFixingType = {
    type: RawType.Text,
    transformIntoTable: transformFrom,
    transformFromTable: transformInto
};
//# sourceMappingURL=MaterialStakeFixingType.js.map