export interface Transaction {
    executeSql: any;
}
export interface QueryResult {
    insertId?: number;
    data?: any;
    error?: Error;
}
export interface QueryInterface {
    transaction: () => Promise<Transaction>;
    execute: (transaction: Transaction, q: string, args?: any[]) => Promise<QueryResult>;
    children: (klass: any, parent_id: number) => Promise<any[]>;
}
export default class Query {
    static query: QueryInterface;
}
