export var SectionType;
(function (SectionType) {
    SectionType["ROUND"] = "ROUND";
    SectionType["FLAT"] = "FLAT";
    SectionType["SECTION_30_2"] = "SECTION_30_2";
    SectionType["SECTION_30_3"] = "SECTION_30_3";
    SectionType["SECTION_8MM"] = "SECTION_8MM";
})(SectionType || (SectionType = {}));
export var transformFromSectionType = function (value) {
    if (!value)
        return "ROUND";
    switch (value) {
        case SectionType.ROUND: return "ROUND";
        case SectionType.SECTION_30_2: return "SECTION_30_2";
        case SectionType.SECTION_30_3: return "SECTION_30_3";
        case SectionType.SECTION_8MM:
        default:
            return "SECTION_8MM";
    }
};
export var transformIntoSectionType = function (value) {
    if (!value)
        return SectionType.ROUND;
    switch (value) {
        case "ROUND": return SectionType.ROUND;
        case "SECTION_30_2": return SectionType.SECTION_30_2;
        case "SECTION_30_3": return SectionType.SECTION_30_3;
        case "SECTION_8MM":
        default:
            return SectionType.SECTION_8MM;
    }
};
//# sourceMappingURL=SectionType.js.map