import { RawType } from "./Types";
export var SupportType;
(function (SupportType) {
    SupportType["MAST"] = "MAST";
    SupportType["PYLON"] = "PYLON";
    SupportType["MANTLE"] = "MANTLE";
    SupportType["CROSS"] = "CROSS";
    SupportType["OTHER"] = "OTHER";
})(SupportType || (SupportType = {}));
var transformFrom = function (value) {
    if (!value)
        return "OTHER";
    switch (value) {
        case SupportType.CROSS: return "CROSS";
        case SupportType.MANTLE: return "MANTLE";
        case SupportType.PYLON: return "PYLON";
        case SupportType.MAST: return "MAST";
        default:
            return "OTHER";
    }
};
var transformInto = function (value) {
    if (!value)
        return SupportType.MAST;
    switch (value) {
        case "CROSS": return SupportType.CROSS;
        case "MANTLE": return SupportType.MANTLE;
        case "PYLON": return SupportType.PYLON;
        case "MAST": return SupportType.MAST;
        default:
            return SupportType.OTHER;
    }
};
export var TypeSupportType = {
    type: RawType.Text,
    transformIntoTable: transformFrom,
    transformFromTable: transformInto
};
//# sourceMappingURL=SupportType.js.map