var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Abstract } from "./Abstract";
import { TypeText, Argument, TypeReal } from "../helpers/Types";
import { children, column } from "../helpers/Decorators";
import AntennaAsset from "./AntennaAsset";
/**
 * The Component class will be a device for instance
 *   lpsfr uuid
 *   description
 *   etc...
 */
var Antenna = /** @class */ (function (_super) {
    __extends(Antenna, _super);
    function Antenna(values) {
        var _this = _super.call(this, "Antenna", values) || this;
        _this.assets = [];
        _this.height = 0;
        _this.description = "";
        _this.latitude = 0;
        _this.longitude = 0;
        _this.assets_key = function () { return ["assets"]; };
        _this.from(values);
        return _this;
    }
    Antenna.prototype.getDescriptionKeys = function () {
        return ["description"];
    };
    Antenna.prototype.keys = function () {
        return ["assets", "height", "description", "latitude", "longitude"];
    };
    __decorate([
        children(AntennaAsset),
        __metadata("design:type", Array)
    ], Antenna.prototype, "assets", void 0);
    __decorate([
        column({ type: TypeReal, option: Argument.DefaultNull, in_verification: true }),
        __metadata("design:type", Number)
    ], Antenna.prototype, "height", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull, in_verification: true }),
        __metadata("design:type", String)
    ], Antenna.prototype, "description", void 0);
    __decorate([
        column({ type: TypeReal, option: Argument.DefaultNull }),
        __metadata("design:type", Number)
    ], Antenna.prototype, "latitude", void 0);
    __decorate([
        column({ type: TypeReal, option: Argument.DefaultNull }),
        __metadata("design:type", Number)
    ], Antenna.prototype, "longitude", void 0);
    return Antenna;
}(Abstract));
export default Antenna;
//# sourceMappingURL=Antenna.js.map