var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Abstract } from "./Abstract";
import { Argument, TypeInstallationType, TypeText, TypeBoolean } from "../helpers/Types";
import { column } from "../helpers/Decorators";
var DeviceProjectRegistration = /** @class */ (function (_super) {
    __extends(DeviceProjectRegistration, _super);
    function DeviceProjectRegistration(values) {
        var _this = _super.call(this, "DeviceProjetRegistration", values) || this;
        _this.device = "";
        _this.project = "";
        _this.unknown = false;
        _this.added = false;
        _this.from(values);
        return _this;
    }
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull }),
        __metadata("design:type", String)
    ], DeviceProjectRegistration.prototype, "device", void 0);
    __decorate([
        column({ type: TypeText, option: Argument.DefaultNull }),
        __metadata("design:type", String)
    ], DeviceProjectRegistration.prototype, "project", void 0);
    __decorate([
        column({ type: TypeBoolean, option: Argument.DefaultNull }),
        __metadata("design:type", Boolean)
    ], DeviceProjectRegistration.prototype, "unknown", void 0);
    __decorate([
        column({ type: TypeInstallationType, option: Argument.DefaultNull }),
        __metadata("design:type", Boolean)
    ], DeviceProjectRegistration.prototype, "added", void 0);
    return DeviceProjectRegistration;
}(Abstract));
export default DeviceProjectRegistration;
//# sourceMappingURL=DeviceProjectRegistration.js.map