import { ComponentAsset, ConductorAsset, ConductorComponent, CounterAsset, CounterComponent, ElectricalGroundingAsset, ElectricalGroundingComponent, EquipotentialRecoveryAsset, EquipotentialRecoveryComponent, FixationAsset, FixationComponent, GroundingAsset, GroundingComponent, InstallableComponent, Installation, InstallationAsset, Message, ParatonnerreAsset, ParatonnerreComponent, Project, ProjectAsset, StormDetectorAsset, StormDetectorComponent } from "../db/models";
import Antenna from "../db/models/Antenna";
import AntennaAsset from "../db/models/AntennaAsset";
import Bridge from "../db/models/Bridge";
import BridgeAsset from "../db/models/BridgeAsset";
import Building from "../db/models/Building";
import BuildingAsset from "../db/models/BuildingAsset";
import BuildingItem from "../db/models/BuildingItem";
import BuildingItemAsset from "../db/models/BuildingItemAsset";
import ConductorSectionAsset from "../db/models/ConductorSectionAsset";
import ConductorSectionComponent from "../db/models/ConductorSectionComponent";
import DeviceProjectRegistration from "../db/models/DeviceProjectRegistration";
import SurgeArresterAsset from "../db/models/SurgeArresterAsset";
import SurgeArresterComponent from "../db/models/SurgeArresterComponent";
import Verification from "../db/models/Verification";
export function init() {
    var models = [DeviceProjectRegistration,
        EquipotentialRecoveryAsset,
        EquipotentialRecoveryComponent,
        ElectricalGroundingAsset,
        ElectricalGroundingComponent,
        ConductorSectionAsset,
        SurgeArresterAsset,
        SurgeArresterComponent,
        ConductorSectionComponent,
        Bridge,
        BridgeAsset,
        Antenna,
        AntennaAsset,
        BuildingItem,
        BuildingItemAsset,
        Building,
        BuildingAsset,
        Message,
        Project,
        Verification,
        Installation,
        InstallationAsset,
        InstallableComponent,
        ProjectAsset,
        ComponentAsset,
        ConductorAsset,
        ConductorComponent,
        CounterAsset,
        CounterComponent,
        FixationAsset,
        FixationComponent,
        GroundingAsset,
        GroundingComponent,
        ParatonnerreAsset,
        ParatonnerreComponent,
        StormDetectorAsset,
        StormDetectorComponent];
    models.forEach(function (m) {
        var instance = new m({});
        instance.init(instance);
    });
}
//# sourceMappingURL=ProjectNonDatabase.js.map