var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
import { Platform } from 'react-native';
import { EventEmitter2 } from "eventemitter2";
import messaging /*, { FirebaseMessagingTypes } */ from '@react-native-firebase/messaging';
//FirebaseMessagingTypes error
import notifee, { AndroidImportance } from '@notifee/react-native';
var Notifications = /** @class */ (function (_super) {
    __extends(Notifications, _super);
    function Notifications() {
        var _this = _super.call(this) || this;
        _this._awaiting_notifications = [];
        _this.onNotificationOpenedUnregister = function () { };
        _this.register = function (notification_channel_title, notification_channel_description) { return __awaiter(_this, void 0, void 0, function () {
            var e_1, e_2, opened;
            var _this = this;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        _a.trys.push([0, 2, , 3]);
                        return [4 /*yield*/, messaging().registerDeviceForRemoteMessages()];
                    case 1:
                        _a.sent();
                        return [3 /*break*/, 3];
                    case 2:
                        e_1 = _a.sent();
                        console.error("error", e_1);
                        return [3 /*break*/, 3];
                    case 3:
                        _a.trys.push([3, 6, , 7]);
                        this.messageListener = messaging().onMessage(function (message) { return message && _this.notificationAndroid(message); });
                        if (!(Platform.OS == "android")) return [3 /*break*/, 5];
                        return [4 /*yield*/, notifee.createChannel({
                                id: 'manager',
                                name: notification_channel_title,
                                description: notification_channel_description,
                                importance: AndroidImportance.HIGH,
                                badge: true
                            })];
                    case 4:
                        _a.sent();
                        _a.label = 5;
                    case 5:
                        //TODO check here ?
                        this.notificationListener = function () { }; //firebase.notifications().onNotification((n: Notification) => this.notificationAndroid(n) );
                        this.pushRegisteredUnregister = messaging().onTokenRefresh(function (token) { return _this._onPushRegistered(token); });
                        messaging().getToken()
                            .then(function (token) { return _this._onPushRegistered(token); })
                            .catch(function (err) { return _this._onPushRegistrationFailed(err); });
                        return [3 /*break*/, 7];
                    case 6:
                        e_2 = _a.sent();
                        console.error(e_2);
                        return [3 /*break*/, 7];
                    case 7: return [4 /*yield*/, messaging().getInitialNotification()];
                    case 8:
                        opened = _a.sent();
                        if (opened)
                            this._onNotificationOpened(opened);
                        this.onNotificationOpenedUnregister = messaging().onNotificationOpenedApp(function (notificationOpen) {
                            if (notificationOpen)
                                _this._onNotificationOpened(notificationOpen);
                        });
                        return [2 /*return*/];
                }
            });
        }); };
        _this.hasPermission = function () { return __awaiter(_this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, messaging().hasPermission()];
                    case 1: return [2 /*return*/, !!(_a.sent())];
                }
            });
        }); };
        _this.checkPermissions = function () { return __awaiter(_this, void 0, void 0, function () {
            var enabled, e_3;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        _a.trys.push([0, 2, , 3]);
                        return [4 /*yield*/, this.hasPermission()];
                    case 1:
                        enabled = _a.sent();
                        if (enabled) {
                            // user has permissions
                            return [2 /*return*/, true];
                        }
                        else {
                            // user doesn't have permission
                            return [2 /*return*/, messaging().requestPermission()];
                        }
                        return [3 /*break*/, 3];
                    case 2:
                        e_3 = _a.sent();
                        console.warn(e_3);
                        return [3 /*break*/, 3];
                    case 3: return [2 /*return*/, false];
                }
            });
        }); };
        _this._awaiting_notifications = [];
        _this.pushRegistered = function (t) { return _this._onPushRegistered(t); };
        _this.pushRegisteredFailed = function (e) { return _this._onPushRegistrationFailed(e); };
        _this.notificationAndroid = function (n) { return _this._onNotificationReceivedAndroid(n); };
        _this.notificationBackground = function (n) { return _this._onNotificationReceivedBackground(n); };
        _this.notificationForeground = function (n) { return _this._onNotificationReceivedForeground(n); };
        _this.notificationOpened = function (n) { return _this._onNotificationOpened(n); };
        return _this;
    }
    Notifications.prototype._onPushRegistered = function (deviceToken) {
        this.deviceToken = deviceToken;
        this.emit("token", deviceToken);
    };
    Notifications.prototype._onPushRegistrationFailed = function (error) {
        console.error(error);
    };
    Notifications.prototype.unregister = function () {
        if (this.notificationListener) {
            this.notificationListener();
        }
        if (this.pushRegisteredUnregister) {
            this.pushRegisteredUnregister();
        }
        if (this.onNotificationOpenedUnregister) {
            this.onNotificationOpenedUnregister();
        }
    };
    Notifications.prototype.pushRegisteredUnregister = function () {
    };
    Notifications.prototype._onNotificationData = function (data, opened) {
        if (!data)
            data = {};
        data.opened = !!opened;
        this._awaiting_notifications.push(data);
        this.emit("notification_data", data);
    };
    Notifications.prototype._onNotificationReceivedAndroid = function (notification) {
        console.warn("onNotificationReceivedAndroid", notification);
        notification && notification.data && this._onNotificationData(notification.data, false);
    };
    Notifications.prototype._onNotificationReceivedForeground = function (notification) {
        console.warn("onNotificationReceivedForeground", notification);
        notification && notification.data && this._onNotificationData(notification.data, false);
    };
    Notifications.prototype._onNotificationReceivedBackground = function (notification) {
        console.warn("onNotificationReceivedBackground", notification);
        notification && notification.data && this._onNotificationData(notification.data, false);
    };
    Notifications.prototype._onNotificationOpened = function (notification) {
        console.warn("onNotificationOpened", notification);
        notification && notification.data && this._onNotificationData(notification.data, true);
    };
    Notifications.prototype.setBadges = function (badge) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, notifee.setBadgeCount(badge)];
                    case 1:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        });
    };
    Notifications.prototype.createLocalNotification = function (title, body, id, data) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                return [2 /*return*/, notifee.displayNotification({
                        id: id,
                        title: title,
                        body: body,
                        data: data,
                        android: {
                            channelId: "manager",
                            smallIcon: "ic_notification_lpsfr",
                        },
                    })];
            });
        });
    };
    Notifications.prototype.getBadges = function () {
        return notifee.getBadgeCount();
    };
    Notifications.prototype.getAwaitingNotifications = function () {
        var array = __spreadArrays(this._awaiting_notifications);
        return array;
    };
    Notifications.prototype.clearNotifications = function () {
        this._awaiting_notifications = [];
    };
    Notifications.instance = new Notifications();
    return Notifications;
}(EventEmitter2));
export default Notifications;
//# sourceMappingURL=Notifications.js.map