import { ProtectionLevel } from "../db/helpers/ProtectionLevel";
import { Cd } from "../db/helpers/Cd";
import { Danger } from "../db/helpers/Danger";
import { RiskFire } from "../db/helpers/RiskFire";
import { Occupation } from "../db/helpers/Occupation";
import { ServiceEntrant } from "../db/helpers/ServiceEntrant";
import { ServiceType } from "../db/helpers/ServiceType";
export default class Protection {
    Ng: number;
    longueur: number;
    largeur: number;
    hauteur: number;
    hauteurMax: number;
    ParamCd: Cd;
    incendie: RiskFire;
    dangers: Danger;
    occupation: Occupation;
    service1: ServiceEntrant;
    inacceptable_loss: ServiceType;
    constructor(Ng: number, longueur: number, largeur: number, hauteur: number, hauteurMax: number, ParamCd: Cd, incendie: RiskFire, dangers: Danger, occupation: Occupation, service1: ServiceEntrant, inacceptable_loss: ServiceType);
    saisie_complete: any;
    protection_services: any;
    protection_structure: any;
    surface: () => number;
    Adglobal: () => number;
    Adp: () => number;
    Ad: () => number;
    Cd: () => any;
    ND: () => number;
    AI: () => any;
    NI: () => number;
    PI: (protection_level: ProtectionLevel) => any;
    hz: () => any;
    rf: () => any;
    Lf1: () => any;
    LD1: () => number;
    LI1: () => number;
    Lf2: () => 0 | 0.01;
    LD2: () => number;
    LI2: () => number;
    LD3: () => number;
    LI3: () => number;
    PD: (protection_level: ProtectionLevel) => 1 | 0.1 | 0.2 | 0.05 | 0.02;
    RD1: (level: ProtectionLevel) => number;
    RI1: (level: ProtectionLevel) => number;
    R1: (level: ProtectionLevel) => number;
    RD2: (level: ProtectionLevel) => number;
    RI2: (level: ProtectionLevel) => number;
    R2: (level: ProtectionLevel) => number;
    RD3: (level: ProtectionLevel) => number;
    RI3: (level: ProtectionLevel) => number;
    R3: (level: ProtectionLevel) => number;
    isRT1Valid: (level: ProtectionLevel) => boolean;
    isRT2Valid: (level: ProtectionLevel) => boolean;
    isRT3Valid: (level: ProtectionLevel) => boolean;
    calculs_structure: () => {
        surface: number;
        Adp: number;
        Adglobal: number;
        Ad: number;
        ND: number;
    };
    private create_stub;
    calculs_risques: () => {
        level_1: {
            protection_level: ProtectionLevel;
            isRT1Valid: boolean;
            isRT2Valid: boolean;
            isRT3Valid: boolean;
            valid: boolean;
        };
        level_2: {
            protection_level: ProtectionLevel;
            isRT1Valid: boolean;
            isRT2Valid: boolean;
            isRT3Valid: boolean;
            valid: boolean;
        };
        level_3: {
            protection_level: ProtectionLevel;
            isRT1Valid: boolean;
            isRT2Valid: boolean;
            isRT3Valid: boolean;
            valid: boolean;
        };
        level_4: {
            protection_level: ProtectionLevel;
            isRT1Valid: boolean;
            isRT2Valid: boolean;
            isRT3Valid: boolean;
            valid: boolean;
        };
        none: {
            protection_level: ProtectionLevel;
            isRT1Valid: boolean;
            isRT2Valid: boolean;
            isRT3Valid: boolean;
            valid: boolean;
        };
    };
    calculs_services: () => {
        Cd: any;
        ND: number;
        AI: any;
        NI: number;
        PI_level_1: any;
        PI_level_2: any;
        PI_level_3: any;
        PI_level_4: any;
        PI_level_unknown: any;
        hz: any;
        rf: any;
        Lf1: any;
        LD1: number;
        LI1: number;
        Lf2: number;
        LD2: number;
        LI2: number;
        LD3: number;
        LI3: number;
        PD_level_1: number;
        PD_level_2: number;
        PD_level_3: number;
        PD_level_4: number;
        PD_level_unknown: number;
    };
    calcul_protection_level: () => any;
}
