export interface RoutairDiagnostic {
    "routair"?: string;
    "diagnostic": {
        "battery": {
            "current": number;
            "health": number;
            "level": number;
            "power": number;
            "temp": number;
            "voltage": number;
        };
        "fan": {
            "health": number;
            "speed": number;
        };
        "input": {
            "current": number;
            "power": number;
            "temp": number;
            "voltage": number;
        };
        "system": {
            "current": number;
            "power": number;
            "voltage": number;
        };
    };
}
